@echo off
title Il-2 Game Fixer


set qmbFolder=.\Quicks\
set qmbFile=.last.quick
set screenshotsFolder=.\Screenshots\
set netCacheFolder=.\PaintSchemes\netCache\
set cacheFolder=.\PaintSchemes\Cache\
set skinsFolder=.\PaintSchemes\Skins\
set iniFolder=.\MODS\STD\com\maddox\il2\objects\

:menu
cls
echo Mise en garde :
echo Les lments supprims sont directement ffacs de l'ordinateur.
echo Ils ne sont PAS envoys  la corbeille!
echo.
echo Que voulez-vous faire?
echo 1 Corriger le QMB
echo 2 Supprimer les screenshots
echo 3 Nettoyer le dossier NetCache
echo 4 Vider le cache des skins
echo 5 Crer les dossiers de skins des avions manquants
echo 9 Aide
echo 0 Quitter
set /p choice=Option : 
echo -----
if %choice% EQU 1 goto QMB
if %choice% EQU 2 goto Screenshots
if %choice% EQU 3 goto NetCache
if %choice% EQU 4 goto cache
if %choice% EQU 5 goto skinsFolders
if %choice% EQU 9 goto aide
if %choice% EQU 0 goto end
echo choix invalide
pause
goto menu

:QMB
if exist %qmbFolder%+%qmbFile% ( del %qmbFolder%+%qmbFile% ) else echo Le fichier %qmbFile% n'existe pas.
echo Le fichier a t supprim ou n'existe plus
echo.
pause
goto menu

:Screenshots
dir %screenshotsFolder%
rem suppression de touts les fichiers dans le dossier screenshots
if exist %screenshotsFolder%grab*.tga ( del %screenshotsFolder%grab*.tga ) else echo Le dossier ne contient pas de screenshots targa
echo Fin du traitement des screenshots targa
echo -----
if exist %screenshotsFolder%grab*.jpg ( del %screenshotsFolder%grab*.jpg ) else echo Le dossier ne contient pas de screenshots jpeg
echo Fin du traitement des screenshots jpeg
echo -----
echo Les screenshots ont t supprims
echo.
pause
goto menu

:NetCache
dir %netCacheFolder%
rem nettoyage des skins dans le dossier NetCache
if exist %netCacheFolder%*.bmp ( del %netCacheFolder%*.bmp) else echo Le dossier NetCache a dj t nettoy
echo Fin du traitement du dossier NetCache
echo.
pause
goto menu

:cache
rem dir %cacheFolder%
rem nettoyage des nosearts en cache
if exist %cacheFolder%Noseart*.tga ( del %cacheFolder%Noseart*.tga ) else echo Les nosearts ont deje t supprims
echo Fin du traitement des nosearts
echo -----
rem nettoyage des textures pilote en cache
if exist %cacheFolder%Pilot*.tga ( del %cacheFolder%Pilot*.tga ) else echo Les textures des pilotes ont dj t effaces
echo Fin du traitement des textures des pilotes dans le cache
rem echo -----
rem nettoyage des skins sous stocks au format tga
rem rmdir /S %cacheFolder%*
echo.
pause
goto menu

:skinsFolders
for /f "tokens=*" %%a in (%iniFolder%air.ini) do (
rem echo %%a
for /F "tokens=1 delims= " %%b in ("%%a") do (
rem echo %%a
rem echo %%b
rem echo %skinsFolder%%%b
mkdir %skinsFolder%%%b
)
)
rem Un rsidu de la lecture du fichier, la ligne [AIR] n'est pas  prendre en compte
rmdir %skinsFolder%[AIR]
pause
goto menu

:aide
cls
echo 1. Corriger le QMB.
echo.
echo Cette action vient supprimer le fichier %qmbFile% qui est "altr".
echo Le jeu n'tant pas conu pour ajouter et retirer des avions  la vole,
echo le fichier de configuration du QMB peut contenir des traces
echo d'un avion qui a pu tre retir entretemps.
echo Ce type d'exception n'est pas pris en charge par le jeu, la suppression
echo du fichier est une alternative au bon fonctionnement du jeu.
echo.
echo Le QMB regnre un nouveau fichier si celui-ci n'existe pas.
echo.
pause
echo -----
echo.
echo 2. Supprimer les screenshots
echo.
echo Cette action supprime les captures d'cran du dossier screenshots.
echo Seuls les screenshots dont le nom n'a pas t modifi (commenant par grab)
echo et portant l'extension jpg ou tga seront effaces.
echo.
pause
echo -----
echo.
echo 3. NetCache
echo.
echo Cette action vide le dossier NetCache dans le dossier PaintSchemes
echo pour faire de la place sur le disque dur. Tous les skins utiliss
echo par les autres joueurs lors de parties en ligne sont stocks  cet endroit.
echo Certains skins pouvant dater de plusieurs annes,
echo il peut tre judicieux de faire de la place de temps en temps.
echo.
pause
echo -----
echo.
echo 4. Cache
echo.
echo Cette action vient  supprimer les textures mises en cache.
echo Pour le moment, seules les textures des pilotes et nosearts sont supprims.
echo Une amlioration visant  supprimer les dossiers des diffrents avions
echo en cache est en cours de dveloppement.
echo.
pause
echo -----
echo.
echo 5. Crer les dossiers de skins des avions manquants
echo.
echo Ce programme liste les avions dans le fichier air.ini
echo et cre les dossiers manquants dans le dossier
echo %skinsFolder%
echo.
pause
echo -----
echo.
echo 9. Aide
echo.
echo Cette section affiche le fonctionnement de chaque fonctionnalit propose
echo dans ce programme.
echo.
pause
echo -----
echo.
echo 0. Quitter
echo.
echo Cette option permet de fermer l'application.
echo.
pause
goto menu

:end
echo Fermeture du programme en cours.